> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getProtocolVersion

> Gets the protocol version



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getProtocolVersion
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getProtocolVersion:
    post:
      tags:
        - ZKSync API
      summary: zks_getProtocolVersion
      description: Gets the protocol version
      operationId: zks_getProtocolVersion
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getProtocolVersion
                  description: The RPC method to be invoked
                id:
                  type: integer
                  default: 1
                  description: Request identifier
                params:
                  type: array
                  items: {}
                  default: []
                  description: Optional version ID parameter
            examples:
              example1:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: zks_getProtocolVersion
                  params: []
      responses:
        '200':
          description: Returns the protocol version information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProtocolVersionResponse'
              examples:
                example1:
                  value:
                    jsonrpc: '2.0'
                    result:
                      version_id: 22
                      timestamp: 1710264138
                      verification_keys_hashes:
                        params:
                          recursion_node_level_vk_hash: >-
                            0x5a3ef282b21e12fe1f4438e5bb158fc5060b160559c5158c6389d62d9fe3d080
                          recursion_leaf_level_vk_hash: >-
                            0x400a4b532c6f072c00d1806ef299300d4c104f4ac55bd8698ade78894fcadc0a
                          recursion_circuits_set_vks_hash: >-
                            0x0000000000000000000000000000000000000000000000000000000000000000
                        recursion_scheduler_level_vk_hash: >-
                          0x063c6fb5c70404c2867f413a8e35563ad3d040b1ad8c11786231bfdba7b472c7
                      base_system_contracts:
                        bootloader: >-
                          0x010007ede999d096c84553fb514d3d6ca76fbf39789dda76bfeda9f3ae06236e
                        default_aa: >-
                          0x0100055b041eb28aff6e3a6e0f37c31fd053fc9ef142683b05e5f0aee6934066
                      l2_system_upgrade_tx_hash: null
                    id: 1
components:
  schemas:
    ProtocolVersionResponse:
      $ref: e2cf0416-7ff2-4dc6-a053-725ab0decf40

````